Răsfoiți Sursa

buildbot-os2.sh: Zip to a specific filename.

Ryan C. Gordon 8 ani în urmă
părinte
comite
35ab010a7b
1 a modificat fișierele cu 8 adăugiri și 2 ștergeri
  1. 8 2
      extras/buildbot-os2.sh

+ 8 - 2
extras/buildbot-os2.sh

@@ -20,6 +20,8 @@
 
 
 set -e
 set -e
 
 
+ZIPFILE="$1"
+
 export WATCOM="/usr/local/share/watcom"
 export WATCOM="/usr/local/share/watcom"
 export PATH="$PATH:$WATCOM/binl"
 export PATH="$PATH:$WATCOM/binl"
 
 
@@ -64,8 +66,12 @@ fi
 
 
 if [ "$OKAY" == "1" ]; then
 if [ "$OKAY" == "1" ]; then
     echo 1>&2 "Build succeeded."
     echo 1>&2 "Build succeeded."
-    cp ../src/physfs.h .
-    zip -9r ../physfs-os2.zip physfs.lib physfs.h
+    if [ ! -z "$ZIPFILE" ]; then
+        rm -f "$ZIPFILE"
+        echo "Zipping to '$ZIPFILE' ..."
+        ( cp ../src/physfs.h . && zip -9r ../physfs-os2.zip physfs.lib physfs.h ) || exit 1
+        echo "Done."
+    fi
     exit 0
     exit 0
 else
 else
     echo 1>&2 "Build failed."
     echo 1>&2 "Build failed."